# Intraday Data `GET` `https://api.unusualwhales.com/api/option-contract/{id}/intraday` Returns 1 minute interval intraday data for the given option contract. You can use this to build volume profile charts for contracts to see when volume can in, and which side dominated the volume. The volume and premium is segmented into bid, ask, mid and neutral. Date must be the current or a past date. If no date is given, returns data for the current/last market day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `id` | OptionContract | Yes | An option contract in the OSI format. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_price` | Option Contract Avg Price | The volume weighted average fill price of the contract. | | `close` | Option Contract Close | The last fill on the contract. | | `expiry` | Option Contract Expiry | The contract expiry date in ISO format. | | `high` | Option Contract High | The highest fill on that contract. | | `iv_high` | Option Contract IV High | The highest implied volatility at which a transaction occurred. | | `iv_low` | Option Contract IV Low | The lowest implied volatility at which a transaction occurred. | | `low` | Option Contract Low | The lowest fill on that contract. | | `open` | Option Contract Open | The first fill on that contract. | | `option_symbol` | Option Contract Symbol | The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?[\w]*)(?(\d{2})(\d{2})(\d{2}))(?[PC])(?\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000. | | `premium_ask_side` | Option Contract Premium Ask Side | The total premium value for transactions executed on the ask side. | | `premium_bid_side` | Option Contract Premium Bid Side | The total premium value for transactions executed on the bid side. | | `premium_mid_side` | Option Contract Premium Mid Side | The total premium value for transactions executed at the mid price. | | `premium_no_side` | Option Contract Premium No Side | The total premium value for transactions without an identifiable side. | | `start_time` | General UTC Timestamp | A UTC timestamp. | | `volume_ask_side` | Option Contract Ask Volume | The amount of volume that happened on the ask side. Ask side is defined as (ask + bid) / 2 < fill price. | | `volume_bid_side` | Option Contract Bid Volume | The amount of volume that happened on the bid side. Bid side is defined as (ask + bid) / 2 > fill price. | | `volume_mid_side` | Option Contract Mid Volume | The amount of volume that happened in the middle of the ask and bid. Mid is defined as (ask + bid) / 2 == fill price. | | `volume_multi` | Option Contract Multi Leg Volume | The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more. | | `volume_no_side` | Option Contract No Side Volume | The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions. | | `volume_stock_multi` | Option Contract Stock Multi Leg Volume | The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/option-contract/{id}/intraday" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/option-contract/{id}/intraday", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_price": "30.18641509433962264151", "close": "30.22", "expiry": "2024-06-21", "high": "30.25", "iv_high": "0.25478345", "iv_low": "0.24967245", "low": "30.05", "open": "30.15", "option_symbol": "AAPL240621C00190000", "premium_ask_side": "3138.00", "premium_bid_side": "1403.92", "premium_mid_side": "60.50", "premium_no_side": "0.00", "start_time": "2024-05-28T14:30:00.000000Z", "volume_ask_side": 104, "volume_bid_side": 47, "volume_mid_side": 2, "volume_multi": 15, "volume_no_side": 0, "volume_stock_multi": 0 }, { "avg_price": "30.2637719298245614035", "close": "30.20", "expiry": "2024-06-21", "high": "30.35", "iv_high": "0.25408976", "iv_low": "0.25108545", "low": "30.15", "open": "30.22", "option_symbol": "AAPL240621C00190000", "premium_ask_side": "1058.75", "premium_bid_side": "661.32", "premium_mid_side": "0.00", "premium_no_side": "0.00", "start_time": "2024-05-28T14:31:00.000000Z", "volume_ask_side": 35, "volume_bid_side": 22, "volume_mid_side": 0, "volume_multi": 5, "volume_no_side": 0, "volume_stock_multi": 0 } ] } ```